> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.jambonz.org/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.jambonz.org/_mcp/server.

# create a speech credential for a service provider

POST https://api.jambonz.cloud/v1/ServiceProviders/{ServiceProviderSid}/SpeechCredentials
Content-Type: application/json

This endpoint is only availble with an Admin or Service Provider API key

Reference: https://docs.jambonz.org/reference/rest-platform-management/speech/add-speech-credential-for-seervice-provider

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `ServiceProviderSid` (string, required)

### Body (application/json)

This endpoint expects a SpeechCredential.

- `speech_credential_sid` (string, optional)
- `account_sid` (string, optional)
- `vendor` (enum, optional)
  - Allowed values: `google`, `aws`
- `service_key` (string, optional)
- `access_key_id` (string, optional)
- `secret_access_key` (string, optional)
- `aws_region` (string, optional)
- `last_used` (string, optional)
- `last_tested` (string, optional)
- `use_for_tts` (boolean, optional)
- `use_for_stt` (boolean, optional)
- `tts_tested_ok` (boolean, optional)
- `stt_tested_ok` (boolean, optional)
- `riva_server_uri` (string, optional)

## Response

### 201

speech credential successfully created

- `sid` (string, required)

## Errors

### 404 Not Found Error

credential not found

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "sid": "9d26a637-1679-471f-8da8-7150266e1254"
}
```

**SDK Code**

```python
import requests

url = "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/SpeechCredentials")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```